org.eclipse.ease.lang.javascript.rhino.debugger

## Class RhinoDebugger

- java.lang.Object
- - org.eclipse.ease.debugging.AbstractScriptDebugger
  - - org.eclipse.ease.lang.javascript.rhino.debugger.RhinoDebugger

All Implemented Interfaces:
  IEventProcessor, IExecutionListener, org.mozilla.javascript.debug.Debugger

Direct Known Subclasses:
  LineNumberDebugger

    public class RhinoDebugger
    extends AbstractScriptDebugger
    implements org.mozilla.javascript.debug.Debugger

### Nested Class Summary

Nested Classes
`class` `RhinoDebugger.RhinoDebugFrame`

### Field Summary

### Fields inherited from interface org.eclipse.ease.IExecutionListener

`ENGINE_END, ENGINE_START, SCRIPT_END, SCRIPT_INJECTION_END, SCRIPT_INJECTION_START, SCRIPT_START`

### Constructor Summary

Constructors
Constructor and Description
`RhinoDebugger(IScriptEngine engine, boolean showDynamicCode)`

### Method Summary

Methods
`org.mozilla.javascript.debug.DebugFrame` `getFrame(org.mozilla.javascript.Context cx, org.mozilla.javascript.debug.DebuggableScript fnOrScript)`
`void` `handleCompilationDone(org.mozilla.javascript.Context cx, org.mozilla.javascript.debug.DebuggableScript fnOrScript, String source)`
`void` `notify(IScriptEngine engine, Script script, int status)` Notify function called by Eclipse EASE framework.

### Methods inherited from class org.eclipse.ease.debugging.AbstractScriptDebugger

`getStacktrace, handleEvent, setDispatcher`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RhinoDebugger

    public RhinoDebugger(IScriptEngine engine,
                 boolean showDynamicCode)

### Method Detail

#### handleCompilationDone

    public void handleCompilationDone(org.mozilla.javascript.Context cx,
                             org.mozilla.javascript.debug.DebuggableScript fnOrScript,
                             String source)

Specified by:
  `handleCompilationDone` in interface `org.mozilla.javascript.debug.Debugger`

#### getFrame

    public org.mozilla.javascript.debug.DebugFrame getFrame(org.mozilla.javascript.Context cx,
                                                   org.mozilla.javascript.debug.DebuggableScript fnOrScript)

Specified by:
  `getFrame` in interface `org.mozilla.javascript.debug.Debugger`

#### notify

    public void notify(IScriptEngine engine,
              Script script,
              int status)

Description copied from class: `AbstractScriptDebugger`
Notify function called by Eclipse EASE framework. Raises according events depending on status

Specified by:
  `notify` in interface `IExecutionListener`
Overrides:
  `notify` in class `AbstractScriptDebugger`
Parameters:
  `engine` - Script Engine
  `script` - Script or `null`
  `status` - Event Status